Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.gui
Class GUI

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Frame
                      javax.swing.JFrame
                          org.basex.gui.GUI

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

    public final class GUI

extends javax.swing.JFrame

This class is the main window of the GUI. It is the central instance for user interactions.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.BaselineResizeBehavior`

Field Summary
`BaseXButton` | `filter` Filter button.
`BaseXTextField` | `input` Query field.
`GUIStatus` | `status` Status line.
`CachedOutput` | `textcache` Container for text outputs.
`ViewContainer` | `views` Content panel, containing all views.

Fields inherited from class javax.swing.JFrame
`EXIT_ON_CLOSE`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Method Summary
`void` | `browse(java.awt.event.KeyEvent e)` Browse in views.
`void` | `checkFocus(javax.swing.JComponent comp)` Focuses the specified component if the input field is not focused.
`void` | `cursor(java.awt.Cursor c)` Sets a new cursor.
`void` | `cursor(java.awt.Cursor c, boolean force)` Sets a new cursor.
`void` | `execute(Commands cmd, java.lang.String... arg)` Launches the specified command.
`void` | `execute(java.lang.String command)` Launches the specified command string.
`void` | `focus(javax.swing.JComponent comp, byte[] txt)` Displays some help in the help view.
`void` | `fullscreen()` Turns fullscreen mode on/off.
`void` | `fullscreen(boolean full)` Turns fullscreen mode on/off.
`static GUI` | `get()` Singleton Constructor.
`static javax.swing.ImageIcon` | `getIcon(java.lang.String name)` Return specified PNG icon.
`static java.awt.Image` | `getImage(java.lang.String name)` Return specified PNG image.
`void` | `layoutViews()` Update main panel.
`void` | `refreshControls()` Refreshes the menu and the buttons.
`void` | `setHits(int n)` Set hits information.
`void` | `updateColors()` Refreshes layout.

Methods inherited from class javax.swing.JFrame
`getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setTransferHandler, update`

Methods inherited from class java.awt.Frame
`addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setVisible, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### filter

    public final BaseXButton filter

  Filter button.

### input

    public final BaseXTextField input

  Query field.

### status

    public final GUIStatus status

  Status line.

### textcache

    public final CachedOutput textcache

  Container for text outputs.

### views

    public final ViewContainer views

  Content panel, containing all views.

Method Detail

### browse

    public void browse(java.awt.event.KeyEvent e)

  Browse in views.

  Parameters:
    `e` - key event

### checkFocus

    public void checkFocus(javax.swing.JComponent comp)

  Focuses the specified component if the input field is not focused.

  Parameters:
    `comp` - component to be focused

### cursor

    public void cursor(java.awt.Cursor c)

  Sets a new cursor.

  Parameters:
    `c` - cursor to be set

### cursor

    public void cursor(java.awt.Cursor c,
                       boolean force)

  Sets a new cursor.

  Parameters:
    `c` - cursor to be set
    `force` - new cursor

### execute

    public void execute(Commands cmd,
                        java.lang.String... arg)

  Launches the specified command.

  Parameters:
    `cmd` - command to be launched
    `arg` - arguments

### execute

    public void execute(java.lang.String command)

  Launches the specified command string.

  Parameters:
    `command` - commands to be launched

### focus

    public void focus(javax.swing.JComponent comp,
                      byte[] txt)

  Displays some help in the help view.

  Parameters:
    `comp` - component reference
    `txt` - text to be shown

### fullscreen

    public void fullscreen()

  Turns fullscreen mode on/off.

### fullscreen

    public void fullscreen(boolean full)

  Turns fullscreen mode on/off.

  Parameters:
    `full` - fullscreen mode

### get

    public static GUI get()

  Singleton Constructor.

  Returns:
    window reference

### getIcon

    public static javax.swing.ImageIcon getIcon(java.lang.String name)

  Return specified PNG icon.

  Parameters:
    `name` - name of icon
  Returns:
    icon

### getImage

    public static java.awt.Image getImage(java.lang.String name)

  Return specified PNG image.

  Parameters:
    `name` - name of image
  Returns:
    image

### layoutViews

    public void layoutViews()

  Update main panel.

### refreshControls

    public void refreshControls()

  Refreshes the menu and the buttons.

### setHits

    public void setHits(int n)

  Set hits information.

  Parameters:
    `n` - number of hits

### updateColors

    public void updateColors()

  Refreshes layout.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD